#
# spec file for package python-h2
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-h2
Version:        3.0.1
Release:        lp151.2.2
Summary:        HTTP/2 State-Machine based protocol implementation
License:        MIT
Group:          Development/Languages/Python
Url:            http://hyper.rtfd.org
Source0:        https://files.pythonhosted.org/packages/source/h/h2/h2-%{version}.tar.gz
BuildRequires:  %{python_module devel}
# test requirements
BuildRequires:  %{python_module coverage}
BuildRequires:  %{python_module hpack}
BuildRequires:  %{python_module hyperframe >= 5.0}
BuildRequires:  %{python_module hypothesis}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module pytest-cov}
BuildRequires:  %{python_module pytest-xdist}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-hyperframe >= 5.0
Requires:       python-hpack >= 2.2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%python_subpackages

%description
Pure-Python implementation of a HTTP/2 protocol stack.
It’s written from the ground up to be embeddable in whatever program
you choose to use, ensuring that you can speak HTTP/2 regardless of
your programming paradigm.

%prep
%setup -q -n h2-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} py.test-%{$python_version}

%files %{python_files}
%defattr(-,root,root,-)
%doc HISTORY.rst LICENSE README.rst
%{python_sitelib}/h2
%{python_sitelib}/h2-%{version}-py%{python_version}.egg-info

%changelog
* Fri Apr 21 2017 aloisio@gmx.com
- Update to version 3.0.1 (see HISTORY.rst)
- Converted to single-spec
- Enabled tests
* Tue Dec 27 2016 aloisio@gmx.com
- Initial package (2.5.1)
